@import "../../components/animatewithsass/animate.scss";

.levels,
.resources,
.skills {
  @include bounceIn($duration: 0.5s, $count: 1, $delay: 0.2s, $function: ease, $fill: both);
}
// .resources.ng-leave, .skills.ng-leave, .levels.ng-leave {
//   @include bounceOut();
// }

.dashboard-container {
  @include slideInRight(
    $duration: 0.4s
  );
}

.dashboard-container {
  position: absolute;
  width: calc(100% - 40px);
  height: 100%;
  left: 40px;
  background-color: lightgrey;

  h2 {
    padding: 25px;
    text-align: center;
    // position: relative;
    // width: 100%;
    // margin: 0 auto;
  }
}

.resources {
  background-color: #bbbb;
}

.fade-in {
  @include fadeIn();
}


.functions {
  position: relative;
  float: left;
  background-color: transparent;
  //z-index: 1;
  margin-top: 0px;

  &.resources {
    position: absolute;
    right: 5px;
    top: 35px;
    height: auto;

    > button {
      color: black;
    }
  }
}

.user {
  position: absolute;
  width: 100%;
  height: 100%;
  //z-index: -1;
  background-color: white;

  .settings {
    position: relative;
    width: 100%;
    height: 50%;
    margin-top: 25%;
    margin-bottom: 0;

    > label {
      display: inline-block;
      width: 140px;
      text-align: right;
      line-height: 1.5;
    }
  }
}

.card {
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  transition: 0.3s;
  width: 40%;
  border-radius: 5px;
  background-color: white;
  transition: all .5s easy-in-out;
}

.card:hover {
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
}

img {
  border-radius: 5px 5px 0 0;
}

.container {
  padding: 2px 16px;
}
